# Basic Slideshow Plugin

===================================


This is a basic slideshow backend for Evoluted sites.

## Installation

This is a composer plugin so from the root of your application just run composer as

	composer require evoluted/slideshow

To setup the database run

	Console/cake Migrations.migration run all --plugin EvSlideshow

Add the following to the plugin load array in `app/Config/bootstrap.php`

	'EvSlideshow' => array(
		'bootstrap' => true
	)

You will want to add the following item to the admin menu for managing slides

	/admin/ev_slideshow/slideshows/
	
Slides can only be added to a slideshow once the slideshow has been successfully saved, this is so the available slots restrictions can be applied correctly.

To setup/override the plugin's default config create a new config file `app/Config/Plugin/ev_slideshow.php`.

## Usage

Add the Slideshow component to the Controller used to load the template, most probably to `AppController.php` as the plugin is configured to be available in multiple instances

	public $components = [
		...
		'EvSlideshow.Slideshows'
	];

Or within the `__constuct` method to assign on the fly

	if (CakePlugin::loaded('EvSlideshow')) {
		$this->components[] = 'EvSlideshow.Slideshows';
	}

The required slideshow can be retrieved from the plugin Component from any view action method or from the `TemplateUtil`, seen in the following example, and is called by it's `system_name` entry. The slideshow will then be available to use with the view template.

	$this->set(
		'homeCarousel',
		$this->Slideshows->getSlideshow('home_carousel')
	);

### Video Slides

The plugin supports video slides along with typical image slides. To use the video slider functionality add (or update) the `video_field` value in the plugin `config` file.

### Available Slide Slots

The total number of slide slots can be controlled through the admin on a per slideshow bases by updating the `available_slots` field. The field defaults to -1 and works in the same way as `imageSlots` and `documentSlots` where -1 represents infinite entries. _The field is only visible to Admin uses_.

## Extras

For more functionality examples see the `config_example.php` file in the plugin `Config` directory.
